---------------------------- NDEX SOBRE LES CLAUS FORANES ----------------------------

CREATE INDEX I_Format_Envas ON Format(envas) TABLESPACE TFG_INDEX;

CREATE INDEX I_Pais_Continent ON Pais(continent) TABLESPACE TFG_INDEX;
CREATE INDEX I_Pais_Moneda ON Pais(moneda) TABLESPACE TFG_INDEX;

CREATE INDEX I_Dist_Pais ON Distribuidor(pais) TABLESPACE TFG_INDEX;

CREATE INDEX I_Prod_Marca ON Producte(marca) TABLESPACE TFG_INDEX;
CREATE INDEX I_Prod_Format ON Producte(format) TABLESPACE TFG_INDEX;
CREATE INDEX I_Prod_Presentacio ON Producte(presentacio) TABLESPACE TFG_INDEX;
CREATE INDEX I_Prod_Pais ON Producte(pais) TABLESPACE TFG_INDEX;
CREATE INDEX I_Prod_Dist ON Producte(distribuidor) TABLESPACE TFG_INDEX;
CREATE INDEX I_Prod_Registre ON Producte(registrat) TABLESPACE TFG_INDEX;

CREATE INDEX I_Cost_Moneda ON Cost(moneda) TABLESPACE TFG_INDEX;
CREATE INDEX I_Cost_Producte ON Cost(producte) TABLESPACE TFG_INDEX;

CREATE INDEX I_Reg_Resp ON Registre(resposta) TABLESPACE TFG_INDEX;
CREATE INDEX I_Reg_Prod ON Registre(producte) TABLESPACE TFG_INDEX;
CREATE INDEX I_Reg_Pais ON Registre(pais) TABLESPACE TFG_INDEX;
CREATE INDEX I_Reg_Dist ON Registre(distribuidor) TABLESPACE TFG_INDEX;

CREATE INDEX I_Est3_Pais ON Est3_Temps_Mig(pais) TABLESPACE TFG_INDEX;