SET SERVEROUTPUT ON;
SPOOL PROVES_ESTADISTIQUES.log
SET echo ON

--FORMAT DE LA DATA
ALTER SESSION 
SET NLS_DATE_FORMAT = 'DD/MM/YYYY HH24:MI:SS';



/*--------------------------------------------------------------------------------------------*
 *								PROVES DEL MDUL ESTADSTIC									  *
 *--------------------------------------------------------------------------------------------*/
/
/


--Realitzem la baixa de cinc REGISTRES
DECLARE
   RSP VARCHAR2(500);
BEGIN
	--BAIXES CORRECTES DE REGISTRES
	SP_BAIXA_REGISTRE(1, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
	SP_BAIXA_REGISTRE(6, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
	SP_BAIXA_REGISTRE(11, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP); 	
	SP_BAIXA_REGISTRE(12, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
	SP_BAIXA_REGISTRE(17, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP); 
END;
/


--R6.1: Els productes que costa ms registrar (cal emmagatzemar el cost total de cada registre). 
------------------------------------------------------------------------------------------------
SELECT * FROM EST1_PROD_COST;
/


--R6.2: Els pasos a on els trmits sn ms lents (considerant el temps entre linici dels 
--trmits de registre fins a la data de resposta final del pas). 
------------------------------------------------------------------------------------------------
SELECT * FROM EST2_PAISOS_TRAM_LENT;
/


--R6.3: El temps mig de registre per pas (considerant el temps entre linici dels trmits de
--registre fins a la data de resposta final del pas).  
------------------------------------------------------------------------------------------------
SELECT * FROM EST3_TEMPS_MIG;
/


--Avancem la data del sistema 15 dies
ALTER SYSTEM SET FIXED_DATE = '24/06/2013 21:18:55';
/
--Realitzem la baixa de cinc REGISTRES ms
DECLARE
	RSP VARCHAR2(500);
BEGIN
	--BAIXES CORRECTES DE REGISTRES
	SP_BAIXA_REGISTRE(2, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
	SP_BAIXA_REGISTRE(5, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
	SP_BAIXA_REGISTRE(8, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP); 
	SP_BAIXA_REGISTRE(9, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
	SP_BAIXA_REGISTRE(16, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP); 
END;
/


--Avancem la data del sistema 15 dies ms
ALTER SYSTEM SET FIXED_DATE = '09/07/2013 21:18:55';
/
--Realitzem la baixa de cinc nous REGISTRES
DECLARE
	RSP VARCHAR2(500);
BEGIN
	--BAIXES CORRECTES DE REGISTRES
	SP_BAIXA_REGISTRE(3, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
	SP_BAIXA_REGISTRE(4, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
	SP_BAIXA_REGISTRE(10, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP); 
	SP_BAIXA_REGISTRE(19, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
	SP_BAIXA_REGISTRE(20, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
END;
/


--R6.1: Els productes que costa ms registrar (cal emmagatzemar el cost total de cada registre). 
------------------------------------------------------------------------------------------------
SELECT * FROM EST1_PROD_COST;
/


--R6.2: Els pasos a on els trmits sn ms lents (considerant el temps entre linici dels 
--trmits de registre fins a la data de resposta final del pas). 
------------------------------------------------------------------------------------------------
SELECT * FROM EST2_PAISOS_TRAM_LENT;
/


--R6.3: El temps mig de registre per pas (considerant el temps entre linici dels trmits de
--registre fins a la data de resposta final del pas).  
------------------------------------------------------------------------------------------------
SELECT * FROM EST3_TEMPS_MIG;
/


--R6.5: El nmero mig de registres per pas.  
------------------------------------------------------------------------------------------------
SELECT * FROM EST5_MIG_REG_PAIS WHERE anys = 2013 AND pais = 1;
/
DECLARE
	RSP VARCHAR2(500);
BEGIN
	--ALTA CORRECTA D'UN PRODUCTE
	SP_ALTA_PRODUCTE('One new product', 'x7y2 + h3i5', 3, 4, 8, 1, 1, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
END;
/
--Avancem la data del sistema 1 dies ms
ALTER SYSTEM SET FIXED_DATE = '10/07/2013 21:18:55';
/
DECLARE
	RSP VARCHAR2(500);
BEGIN
	--BAIXA CORRECTA D'UN REGISTRE
	SP_BAIXA_REGISTRE(21, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
END;
/
SELECT * FROM EST5_MIG_REG_PAIS WHERE anys = 2013 AND pais = 1;
/


--R6.4: Percentatge de pasos que tenim a la BD que no tenen distribudor associat.  
------------------------------------------------------------------------------------------------
SELECT * FROM EST4_PERC_DIST_PAISOS;
/
DECLARE
	RSP VARCHAR2(500);
BEGIN
	--MODIFICACIO CORRECTA D'UN DISTRIBUIDOR
	SP_MODIFICACIO_DISTRIBUIDOR(2,'Dubliners - Germany Branch', 2, 'SI', RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
	--ALTA CORRECTA D'UN DISTRIBUIDOR
	SP_ALTA_DISTRIBUIDOR('Dubliners - US Branch', 6, 'SI', RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
END;
/
SELECT * FROM EST4_PERC_DIST_PAISOS;
/


--R6.6: Percentatge de formats de producte que mai shan registrat.  
------------------------------------------------------------------------------------------------
SELECT * FROM EST6_FORMAT_NO_REG;
/
DECLARE
	RSP VARCHAR2(500);
BEGIN
	--ALTA CORRECTA D'UN PRODUCTE
	SP_ALTA_PRODUCTE('Yet another one', 'x3y1 + h2i6', 5, 4, 3, 1, 1, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
END;
/
--Avancem la data del sistema 1 dies ms
ALTER SYSTEM SET FIXED_DATE = '11/07/2013 21:18:55';
/
DECLARE
	RSP VARCHAR2(500);
BEGIN
	--BAIXA CORRECTA D'UN REGISTRE
	SP_BAIXA_REGISTRE(22, RSP);
	DBMS_OUTPUT.PUT_LINE(RSP);
END;
/
SELECT * FROM EST6_FORMAT_NO_REG;
/



/*--------------------------------------------------------------------------------------------*
 *											TAULA LOGS										  *
 *--------------------------------------------------------------------------------------------*/
/
/

SELECT * FROM LOGS ORDER BY 1;
/

--Deixem la data del sistema actual
ALTER SYSTEM SET FIXED_DATE = 'NONE';
/

SPOOL OFF
EXIT
