------------- PARELLS SEQNCIA - DISPARADOR PER INSERCI DE CODI AUTOMTIC -------------

CREATE SEQUENCE SQ_MARCA INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_BI_MARCA 
  BEFORE INSERT ON MARCA
  FOR EACH ROW
BEGIN
  SELECT SQ_MARCA.NEXTVAL INTO :NEW.idMarca
  FROM DUAL;
END TR_BI_MARCA; 
/


CREATE SEQUENCE SQ_ENVAS INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_BI_ENVAS 
  BEFORE INSERT ON ENVAS
  FOR EACH ROW
BEGIN
  SELECT SQ_ENVAS.NEXTVAL INTO :NEW.idEnvas
  FROM DUAL;
END TR_BI_ENVAS; 
/


CREATE SEQUENCE SQ_FORMAT INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_BI_FORMAT 
  BEFORE INSERT ON FORMAT
  FOR EACH ROW
BEGIN
  SELECT SQ_FORMAT.NEXTVAL INTO :NEW.idFormat
  FROM DUAL;
END TR_BI_FORMAT;
/


CREATE SEQUENCE SQ_PRESENTACIO INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_BI_PRESENTACIO 
  BEFORE INSERT ON PRESENTACIO
  FOR EACH ROW
BEGIN
  SELECT SQ_PRESENTACIO.NEXTVAL INTO :NEW.idPresentacio
  FROM DUAL;
END TR_BI_PRESENTACIO;
/


CREATE SEQUENCE SQ_RESPOSTA INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_BI_RESPOSTA 
  BEFORE INSERT ON RESPOSTA
  FOR EACH ROW
BEGIN
  SELECT SQ_RESPOSTA.NEXTVAL INTO :NEW.idResposta
  FROM DUAL;
END TR_BI_RESPOSTA;
/


CREATE SEQUENCE SQ_MONEDA INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_BI_MONEDA
  BEFORE INSERT ON MONEDA
  FOR EACH ROW
BEGIN
  SELECT SQ_MONEDA.NEXTVAL INTO :NEW.idMoneda
  FROM DUAL;
END TR_BI_MONEDA;
/


CREATE SEQUENCE SQ_CONTINENT INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_BI_CONTINENT
  BEFORE INSERT ON CONTINENT
  FOR EACH ROW
BEGIN
  SELECT SQ_CONTINENT.NEXTVAL INTO :NEW.idContinent
  FROM DUAL;
END TR_BI_CONTINENT;
/


CREATE SEQUENCE SQ_PAIS INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_BI_PAIS
  BEFORE INSERT ON PAIS
  FOR EACH ROW
BEGIN
  SELECT SQ_PAIS.NEXTVAL INTO :NEW.idPais
  FROM DUAL;
END TR_BI_PAIS;
/


CREATE SEQUENCE SQ_DISTRIBUIDOR INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_BI_DISTRIBUIDOR
  BEFORE INSERT ON DISTRIBUIDOR
  FOR EACH ROW
BEGIN
  SELECT SQ_DISTRIBUIDOR.NEXTVAL INTO :NEW.idDistribuidor
  FROM DUAL;
END TR_BI_DISTRIBUIDOR;
/


CREATE SEQUENCE SQ_PRODUCTE INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_BI_PRODUCTE 
  BEFORE INSERT ON PRODUCTE
  FOR EACH ROW
BEGIN
  SELECT SQ_PRODUCTE.NEXTVAL INTO :NEW.idProducte
  FROM DUAL;
END TR_BI_PRODUCTE; 
/


CREATE SEQUENCE SQ_REGISTRE INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_BI_REGISTRE 
  BEFORE INSERT ON REGISTRE
  FOR EACH ROW
BEGIN
  SELECT SQ_REGISTRE.NEXTVAL INTO :NEW.idRegistre
  FROM DUAL;
END TR_BI_REGISTRE;
/


CREATE SEQUENCE SQ_LOGS INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER TR_BI_LOGS
  BEFORE INSERT ON LOGS
  FOR EACH ROW
BEGIN
  SELECT SQ_LOGS.NEXTVAL INTO :NEW.codi
  FROM DUAL;
END TR_BI_LOGS;
/